from paida import IAnalysisFactory

analysisFactory = IAnalysisFactory.create()
treeFactory = analysisFactory.createTreeFactory()

### The tree with zipped XML format and allowing to create new r/w mode file.
### .create(fileName, fileType, readOnly, createNew, options)
tree = treeFactory.create('sampleStore.aida', 'xml', False, True, 'compress=no')

### Creating a histogram.
histogramFactory = analysisFactory.createHistogramFactory(tree)
h1d = histogramFactory.createHistogram1D('name', 'title', 20, 0.0, 20.0)

### Filling with gaussian.
import random
r = random.Random()
for i in range(1000):
	h1d.fill(r.gauss(10.0, 3.0))

### Save all data.
tree.commit()
tree.close()
